<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Quiz-5 Laravel Web Dev</title>
</head>
<body>

    <div id="app">
        <form @submit.prevent="submitForm()">
            <input type="text" v-model:value="newName"/>
            <input type="submit" v-model:value="status">
        </form>
        <ul v-for="dataUser in users">
            <li>
                {{dataUser.name}} <button @click="Edit(dataUser)">Edit</button> || <button @click="Delete(dataUser)">Delete</button>
            </li>
        </ul>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>

    <script>
        var vm = new Vue({
            el: '#app',
            data: {
                status: 'add',
                newName: '',
                edit: '',
                users: [
                    {'name': 'Muhammad Iqbal Mubarok'},
                    {'name': 'Ruby Purwanti'},
                    {'name': 'Faqih Muhammad'}
                ]
            },
            methods: {
                submitForm: function () {
                    if (this.status === 'add') {
                        this.users.push({'name': this.newName})
                        this.newName = ''
                        this.status = 'add'
                    } else {
                        this.users[this.edit].name = this.newName
                        this.newName = ''
                        this.status = 'add'
                    }
                },
                Edit: function (dataUser) {
                    this.newName = dataUser.name
                    this.edit = this.users.indexOf(dataUser)
                    this.status = 'Update'
                },
                Delete: function (dataUser) {
                    if (confirm('Anda Yakin ?')) {
                        this.users.splice(this.users.indexOf(dataUser), 1)
                    } else {
                    }
                }
            }
        })
    </script>

</body>
</html>